com.fasterxml.jackson.databind.cfg

## Class CoercionConfig

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.CoercionConfig

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MutableCoercionConfig

    public class CoercionConfig
    extends Object
    implements Serializable

Since:
  2.12
See Also:
  Serialized Form

### Field Summary

Fields
`protected Boolean` `_acceptBlankAsEmpty`
`protected CoercionAction[]` `_coercionsByShape` Mapping from `CoercionInputShape` into corresponding `CoercionAction`.

### Constructor Summary

Constructors
`` `CoercionConfig()`
`protected` `CoercionConfig(CoercionConfig src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CoercionAction` `findAction(CoercionInputShape shape)`
`Boolean` `getAcceptBlankAsEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _acceptBlankAsEmpty

    protected Boolean _acceptBlankAsEmpty

#### _coercionsByShape

    protected final CoercionAction[] _coercionsByShape

Mapping from `CoercionInputShape` into corresponding `CoercionAction`.

### Constructor Detail

#### CoercionConfig

    public CoercionConfig()

#### CoercionConfig

    protected CoercionConfig(CoercionConfig src)

### Method Detail

#### findAction

    public CoercionAction findAction(CoercionInputShape shape)

#### getAcceptBlankAsEmpty

    public Boolean getAcceptBlankAsEmpty()